#ifdef __cplusplus
#include <string>
const std::string shader_3d_textured_frag = R"("
#version 300 es
precision mediump float;

out vec4 FragColor;
in vec2 uv;
in vec2 pos;
in vec3 normal;

uniform sampler2D tex;
uniform vec4 color;
uniform vec4 use_texture;

vec4 linear_iter(vec4 i, vec4 p, float factor){
    return (i + p) * factor;
}

void main() {
    FragColor = texture(tex, uv) * vec4(abs(normal), 1.0);
}

")";
#endif